Subject: Re: iproute2 net-next

From: Leon Romanovsky <[email-masked]>
Date: Tue, 26 Dec 2017 11:35:47 +0200

On Mon, Dec 25, 2017 at 10:14:26PM -0800, Stephen Hemminger wrote:
> On Tue, 26 Dec 2017 06:47:43 +0200
> Leon Romanovsky <[email-masked]> wrote:
>
> > On Mon, Dec 25, 2017 at 10:49:19AM -0800, Stephen Hemminger wrote:
> > > David Ahern has agreed to take over managing the net-next branch of iproute2.
> > > The new location is:
> > >  https://git.kernel.org/pub/scm/linux/kernel/git/dsahern/iproute2-next.git/
> > >
> > > In the past, I have accepted new features into iproute2 master branch, but
> > > am changing the policy so that outside of the merge window (up until -rc1)
> > > new features will get put into net-next to get some more review and testing
> > > time. This means that things like the proposed batch streaming mode will
> > > go through net-next.
> > >
> >
> > Hi Stephen,
> >
> > Did you consider to create one shared repo for the iproute2 to allow
> > multiple committers workflow?
>
> For now having separate trees is best, there is no need for multiple
> committers the load is very light.
>
>
> > It will be much convenient for the users to have one place for
> > master/stable/net-next branches, instead of actually following two
> > different repositories.
>
> If you are doing network development, you already need to deal with
> multiple repo's on the kernel side so there is no difference.

I agree with you that one extra "git remote add .." is not so huge and
all people who develop for the netdev will do it. My concern is about
Documentation and newcomers, who will have a hard time to find a right
tree.

Thanks

>
> >
> > Example, of such shared repo:
> > BPF: https://git.kernel.org/pub/scm/linux/kernel/git/bpf/bpf-next.git/
> > Bluetooth: https://git.kernel.org/pub/scm/linux/kernel/git/bluetooth/bluetooth-next.git/
> > RDMA: https://git.kernel.org/pub/scm/linux/kernel/git/rdma/rdma.git/
>
> Most of these are high volume or vendor silo'd which is not the case here.
>